{
  self,
  inputs,
  nixpkgs,
  ragenix,
  ...
}: let
  nixosSystem = nixpkgs.lib.makeOverridable nixpkgs.lib.nixosSystem;
  customModules = import ./module-list.nix;
  baseModules = [
    {
      imports = [
        ({pkgs, ...}: {
          nix.nixPath = [
            "nixpkgs=${pkgs.path}"
          ];
          nix.extraOptions = ''
            experimental-features = nix-command flakes
          '';
          documentation.info.enable = false;
        })
      ];
    }
  ];
  defaultModules = baseModules ++ customModules;
in {
  imports = defaultModules;
}
