# NixOps configuration for the Raspberry Pi 3B Rack
{
  imports = [
    <nixpkgs/nixos/modules/installer/scan/not-detected.nix>
    ../hardware/raspberry_pi_3_model_B.nix
    ../profiles/host_common.nix
    ../profiles/pi_common.nix
    ../profiles/server_common.nix
  ];

  # Ensure the right package architecture is used
  nixpkgs.localSystem = {
    system = "aarch64-linux";
    config = "aarch64-unknown-linux-gnu";
    allowUnfree = true;
  };

  networking.wireless.enable =
    false; # Toggles wireless support via wpa_supplicant.

  systemd.network.networks.eth0.ipv6SendRAConfig = {
    EmitDNS = true;
    Managed = true;
    OtherInformation = true;
  };

  documentation = {
    nixos.enable = false; # Save some space by disabling the manual
  };

  users.users.root = {
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDtjE0YstRzlh+Zhlj03th9DYOkMqJ5xHUcderBq151K craige@mcwhirter.io"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFq6/C6ZSM8nS091fqw/om9LRszHDmS82ZTL7+GaSBnz craige@pi-tri"
    ];
  };
}
