# Configuration common to all my servers
{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ../profiles/openssh.nix
    ../profiles/users-core.nix
  ];

  programs.mosh = {
    enable = true;
    withUtempter = true;
  };

  services.postgresql = {
    package = pkgs.postgresql_16;
  };

  security.polkit.enable = false; # avoid CVE-2021-4034 (PwnKit)
  services.udisks2.enable = false; # disable udisks2 which enables polkit
}
