# User configuration common to all MIO hosts
{
  config,
  pkgs,
  ...
}: {
  age.secrets = {
    root.file = ../secrets/root.age;
    craige.file = ../secrets/craige.age;
  };

  # MIO Groups:
  users.groups = {
    craige.gid = 1000;
  };

  # MIO Users
  users.users = {
    root = {
      hashedPasswordFile = config.age.secrets.root.path;
      openssh.authorizedKeys.keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDtjE0YstRzlh+Zhlj03th9DYOkMqJ5xHUcderBq151K"
      ];
    };
    craige = {
      isNormalUser = true;
      description = "Craige McWhirter";
      uid = 1000;
      group = "craige";
      extraGroups = [
        "wheel"
      ];
      hashedPasswordFile = config.age.secrets.craige.path;
      openssh.authorizedKeys.keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDtjE0YstRzlh+Zhlj03th9DYOkMqJ5xHUcderBq151K"
      ];
    };
  };
}
