# User configuration common to all MIO Opshosts
{
  config,
  pkgs,
  ...
}: {
  age.secrets = {
    root.file = ../secrets/root-ops.age;
    craige.file = ../secrets/craige-ops.age;
  };

  # MIO Groups:
  users.groups.craige.gid = 1000;

  # MIO Users
  users.users.root = {
    hashedPasswordFile = config.age.secrets.root.path;
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDtjE0YstRzlh+Zhlj03th9DYOkMqJ5xHUcderBq151K"
    ];
  };
  users.users.craige = {
    isNormalUser = true;
    home = "/home/craige";
    description = "Craige McWhirter";
    uid = 1000;
    group = "craige";
    extraGroups = [
      "audio"
      "libvirtd"
      "networkmanager"
      "qemu-libvirtd"
      "video"
      "wheel"
    ];
    hashedPasswordFile = config.age.secrets.craige.path;
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDtjE0YstRzlh+Zhlj03th9DYOkMqJ5xHUcderBq151K"
    ];
  };
}
