{
  pkgs ? import <nixpkgs> {},
  colmena,
  deploymentName,
  mkShell,
  nix,
  nix_path,
  ragenix,
}:
with pkgs;
  mkShell {
    buildInputs = [
      alejandra # The Uncompromising Nix Code Formatter
      colmena # Simple, stateless NixOS deployment tool
      nix # Powerful package manager, makes packaging reliable & reproducible
      nixops_unstable_minimal # work around for issue #127423
      ragenix # CLI management of secrets encrypted via existing SSH keys
      tea # Gitea official CLI client
      treefmt # one CLI to format the code tree
    ];
    shellHook = ''
      export NIX_PATH=${nix_path}
      export NIXOPS_DEPLOYMENT=${deploymentName}
    '';
  }
